Skip to content

Trigger Template

POST
/api/v1/workflows/templates/{template_id}/trigger

Trigger execution of a workflow template.

Returns 202 immediately with a workflow run ID. The actual execution happens asynchronously in a background task.

Authorizations

Parameters

Path Parameters

template_id
required
string

Request Body required

Request body for triggering a workflow template.

Attributes: params: Template-specific parameters. initial_input: Optional seed data for the first step.

object
initial_input
Any of:
object
key
additional properties
any
params
object
key
additional properties
any

Responses

202

Successful Response

object
key
additional properties
any

422

Validation Error

object
detail
Array<object>
object
ctx
object
input
loc
required
Array
msg
required
string
type
required
string